/** 
* @file LocalFeature.cpp
* @brief local feature interface
* @author Erik Rodner
* @date 02/05/2008

*/
#include "core/image/Convert.h"

#include <iostream>

#include "vislearning/features/localfeatures/LocalFeature.h"

using namespace OBJREC;
using namespace std;
using namespace NICE;

LocalFeature::LocalFeature()
{
}

LocalFeature::~LocalFeature()
{
}

void LocalFeature::visualizeFeatures ( NICE::Image & mark,
				 const VVector & positions,
				 size_t color ) const
{
    fprintf (stderr, "LocalFeature::visualizeFeatures: not yet implemented\n");
	exit(-1);
}

int LocalFeature::getDescriptors ( const NICE::ColorImage & cimg, VVector & positions, VVector & descriptors) const
{
	cerr << "this local feature is not a color descriptor - using grayimage instead" << endl;
	Image img;
	rgbToGray(cimg, &img);
	return getDescriptors(img, positions, descriptors);
}
